# Project: LunaLu
# Makefile created by Dev-C++ 4.9.9.2

CPP  = g++.exe -D__DEBUG__
CC   = gcc.exe -D__DEBUG__
WINDRES = windres.exe
RES  = 
OBJ  = main.o blobs.o script.o atoms.o physics.o render.o precalcs.o vector.o things.o images.o draw.o particles.o panels.o fonts.o $(RES)
LINKOBJ  = main.o blobs.o script.o atoms.o physics.o render.o precalcs.o vector.o things.o images.o draw.o particles.o panels.o fonts.o $(RES)
LIBS =  -L"C:/Dev-Cpp/lib" -L"C:/Dev-Cpp/lib/SDL" -mwindows -lSDL -lSDL_image  -g3 
INCS =  -I"C:/Dev-Cpp/include"  -I"C:/Dev-Cpp/include/SDL" 
CXXINCS =  -I"C:/Dev-Cpp/lib/gcc/mingw32/3.4.2/include"  -I"C:/Dev-Cpp/include/c++/3.4.2/backward"  -I"C:/Dev-Cpp/include/c++/3.4.2/mingw32"  -I"C:/Dev-Cpp/include/c++/3.4.2"  -I"C:/Dev-Cpp/include"  -I"C:/Dev-Cpp/include/SDL" 
BIN  = LunaLu.exe
CXXFLAGS = $(CXXINCS)   -w -fexpensive-optimizations -O3 -g3
CFLAGS = $(INCS)   -w -fexpensive-optimizations -O3 -g3
RM = rm -f

.PHONY: all all-before all-after clean clean-custom

all: all-before LunaLu.exe all-after


clean: clean-custom
	${RM} $(OBJ) $(BIN)

$(BIN): $(OBJ)
	$(CPP) $(LINKOBJ) -o "LunaLu.exe" $(LIBS)

main.o: main.c
	$(CPP) -c main.c -o main.o $(CXXFLAGS)

blobs.o: blobs.c
	$(CPP) -c blobs.c -o blobs.o $(CXXFLAGS)

script.o: script.c
	$(CPP) -c script.c -o script.o $(CXXFLAGS)

atoms.o: atoms.c
	$(CPP) -c atoms.c -o atoms.o $(CXXFLAGS)

physics.o: physics.c
	$(CPP) -c physics.c -o physics.o $(CXXFLAGS)

render.o: render.c
	$(CPP) -c render.c -o render.o $(CXXFLAGS)

precalcs.o: precalcs.c
	$(CPP) -c precalcs.c -o precalcs.o $(CXXFLAGS)

vector.o: vector.c
	$(CPP) -c vector.c -o vector.o $(CXXFLAGS)

things.o: things.c
	$(CPP) -c things.c -o things.o $(CXXFLAGS)

images.o: images.c
	$(CPP) -c images.c -o images.o $(CXXFLAGS)

draw.o: draw.c
	$(CPP) -c draw.c -o draw.o $(CXXFLAGS)

particles.o: particles.c
	$(CPP) -c particles.c -o particles.o $(CXXFLAGS)

panels.o: panels.c
	$(CPP) -c panels.c -o panels.o $(CXXFLAGS)

fonts.o: fonts.c
	$(CPP) -c fonts.c -o fonts.o $(CXXFLAGS)
